*,
::before,
::after {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

:root {
  --color-one: #009688;
  --color-two: #e92a6b;
  --color-three: #1d880d;
  --color-four: #3e9af3;
  --color-five: #607d8b;
  --color-six: #ff0000;
  --background-color: #f5f5f5;
}

body {
  font-family: 'Cairo', sans-serif;
  background-color: var(--background-color);
  margin: 1rem;
}

.container {
  margin: 1rem auto;
  background-color: white;
  position: relative;
  max-width: 1080px;
}

.container h3 {
  background-color: var(--color-five);
  margin: 0;
  padding: 0.5rem 1rem;
  color: white;
  width: -webkit-fit-content;
  width: -moz-fit-content;
  width: fit-content;
  font-size: 1.4rem;
}

hr {
  width: 1080px;
  background-color: #eee;
  height: 1px;
  border: none;
}

/* --------------- */
/* utility classes */
/* --------------- */

.unlocked img {
  -webkit-filter: opacity(0.5);
  filter: opacity(0.5);
}

.fw-bold {
  font-weight: bold;
}

.blue {
  color: var(--color-four);
}

.pink {
  color: var(--color-two);
}

.green {
  color: var(--color-one);
}

.yes {
  color: var(--color-three);
}

.no {
  color: var(--color-six);
}
/* --------- */
/* main-card */
/* --------- */

.main-card .container {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  text-align: center;
}

.main-card-media {
  display: inline-block;
  width: -webkit-fit-content;
  width: -moz-fit-content;
  width: fit-content;
  padding: 1rem;
}

.main-card-media__image {
  width: -webkit-fit-content;
  width: -moz-fit-content;
  width: fit-content;
  margin: auto;
}

.main-card-media__image img {
  border-radius: 50%;
  -webkit-box-shadow: 0 0 7px 1px #777;
  box-shadow: 0 0 7px 1px #777;
  width: 10rem;
}

.main-card-media p:last-child {
  margin-bottom: 0;
  text-align: center;
}

.main-card span:nth-child(2) {
  position: relative;
  display: block;
  margin-bottom: 1.3rem;
  text-align: center;
  font-size: 1.2rem;
  font-weight: bold;
  width: 13rem;
}

.main-card span:nth-child(2)::before,
.main-card span:nth-child(2)::after {
  content: '';
  position: absolute;
  top: 2.2rem;
  left: 0;
  height: 1.1rem;
}

.main-card span:nth-child(2)::before {
  width: 100%;
  border-radius: 0.3rem;
  background-color: var(--background-color);
}

.main-card span:nth-child(2)::after {
  width: 70%;
  border-radius: 0.3rem 0 0 0.3rem;
  background-color: var(--color-one);
}

.main-card-media p span {
  color: var(--color-one);
  font-weight: bold;
}

.main-card-info {
  padding: 1rem;
}

.main-card-info__name {
  margin: 0;
  font-weight: 700;
  font-size: 1.7rem;
}

.main-card-info__description {
  font-size: 1rem;
  line-height: 2;
}

/* ---------- */
/* Points Log */
/* ---------- */

.points-log .container {
  padding: 1rem;
}

.points-log-item:not(:last-child) {
  padding-bottom: 1rem;
  border-bottom: 1px solid #eee;
}

/* -------- */
/* trophies */
/* -------- */

.trophies .container {
  padding: 1rem;
}

.images {
  padding: 1rem 0 0;
}

.images__item {
  display: inline-block;
  width: 5.25rem;
}

.images__item img {
  max-width: 100%;
}

/* ------ */
/* ladder */
/* ------ */

.ladder .container {
  padding: 1rem;
}

/* ------ */
/* powers */
/* ------ */

.powers .container {
  padding: 1rem;
}

.powers__item:not(:last-child) {
  border-bottom: 1px solid #eee;
  margin: 0;
  padding: 1rem 0;
}

.powers__item span {
  position: absolute;
  right: 1rem;
  font-weight: bold;
}

@media screen and (min-width: 650px) {
  .main-card .container {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -ms-flex-direction: row;
    flex-direction: row;
    -webkit-box-align: start;
    -ms-flex-align: start;
    align-items: flex-start;
    text-align: left;
  }

  .main-card__day {
    position: absolute;
    bottom: 1rem;
    right: 1rem;
  }

  .main-card-media {
    border-right: 1px solid var(--background-color);
  }
}

/* personal footer */

footer {
  margin-top: 2rem;
  padding-top: 1rem;
  padding-bottom: 1rem;
  line-height: 1.5;
  text-align: center;
}

.platform {
  font-weight: 600;
  color: #2eca7f;
}

.coder {
  font-weight: 600;
  color: #cf2937;
}

a {
  text-decoration: none;
}
